/*
 * This file is part of CutAndPlay.
 *
 * Copyright (C) 2009 Stefan Westerfeld
 * Copyright (C) 2009 Treuwert Computer GmbH
 *
 * CutAndPlay is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package cutandplay;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class CutAndPlay extends SingleFrameApplication {
    final static int MAJOR_VERSION = 0;
    final static int MINOR_VERSION = 1;
    final static int MICRO_VERSION = 6;

    static String getAppVersion()
    {
	return Integer.toString (CutAndPlay.MAJOR_VERSION) + "."
	     + Integer.toString (CutAndPlay.MINOR_VERSION) + "."
	     + Integer.toString (CutAndPlay.MICRO_VERSION);
    }
    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        show(new CutAndPlayView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of DesktopApplication1
     */
    public static CutAndPlay getApplication() {
        return Application.getInstance(CutAndPlay.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(CutAndPlay.class, args);
    }
}
